Subject: Re: [PATCH 1/2][ATM]: Do not free already unregistered net device.

From: Pavel Emelyanov <[email-masked]>
Date: Tue, 06 May 2008 10:34:38 +0400

David Miller wrote:
> From: Don Fry <[email-masked]>
> Date: Mon, 05 May 2008 09:44:40 -0700
> 
>> I do not understand why this change was accepted.  All of the network
>> drivers I just looked at in 2.6.25 do unregister_netdev() followed
>> sometime soon by free_netdev().  Is there something different about ATM
>> devices?  I did not look at all the drivers.
> 
> Indeed, this change does look bogus.
> 
> Pavel, please take a look, unregister_netdev() indeed does not free
> the netdevice, and something (usually the caller) needs to do it.

Indeed :( My bad, I've overlooked the fact, that this device doesn't
have a ->destructor callback set (which most of the others set to the
free_netdev), so the free_netdev is to be called manually.

> I think I should revert your change.

Agree. Sorry, for the confusion.